---
title: CSSRule.parentStyleSheet
slug: Web/API/CSSRule/parentStyleSheet
tags:
  - API
  - CSSOM
  - CSSRule
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{ APIRef("CSSOM") }}</div>

<p>The <code><strong>parentStyleSheet</strong></code> property of the {{domxref("CSSRule")}} interface returns the {{domxref("StyleSheet")}} object in which the current rule is defined.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>stylesheet</em> = cssRule.parentStyleSheet</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>stylesheet</code> is a {{domxref("StyleSheet")}} object.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">if (bgRule.parentStyleSheet != mySheet) {
  // Alien style rule!
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM', '#dom-cssrule-parentstylesheet', 'CSSRule: parentStyleSheet')}}</td>
   <td>{{Spec2('CSSOM')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSRule.parentStyleSheet")}}</p>
